class SimRun
{
  long long cacheSize;

  long reportFrequency;

  long hits, misses, errors;

  long urlsProcessed;

  FILE* reportOutputFile;

  SimRun();

  long processDecFile(FILE *FP);

  void reportProgress();
};
